xine-lib: xine-lib-1.2.13/src/post/deinterlace/plugins/plugins.h File Reference

xine-lib 1.2.13-20230125hg15249

Functions
plugins.h File Reference
`#include <deinterlace.h>`

Go to the source code of this file.

## Functions
const deinterlace_method_t * | greedy_get_method (void)
const deinterlace_method_t * | greedy2frame_get_method (void)
const deinterlace_method_t * | weave_get_method (void)
const deinterlace_method_t * | double_get_method (void)
const deinterlace_method_t * | linear_get_method (void)
const deinterlace_method_t * | scalerbob_get_method (void)
const deinterlace_method_t * | linearblend_get_method (void)
const deinterlace_method_t * | vfir_get_method (void)
const deinterlace_method_t * | dscaler_tomsmocomp_get_method (void)
const deinterlace_method_t * | dscaler_greedyh_get_method (void)
const deinterlace_method_t * | weavetff_get_method (void)
const deinterlace_method_t * | weavebff_get_method (void)

## Function Documentation

## ◆ double_get_method()

const deinterlace_method_t * double_get_method | ( | void |  | ) |

References doublemethod.

Referenced by deinterlace_init_plugin().

## ◆ dscaler_greedyh_get_method()

const deinterlace_method_t * dscaler_greedyh_get_method | ( | void |  | ) |

References greedymethod.

Referenced by deinterlace_init_plugin().

## ◆ dscaler_tomsmocomp_get_method()

const deinterlace_method_t * dscaler_tomsmocomp_get_method | ( | void |  | ) |

References tomsmocompmethod.

Referenced by deinterlace_init_plugin().

## ◆ greedy2frame_get_method()

const deinterlace_method_t * greedy2frame_get_method | ( | void |  | ) |

References greedy2framemethod.

Referenced by deinterlace_init_plugin().

## ◆ greedy_get_method()

const deinterlace_method_t * greedy_get_method | ( | void |  | ) |

Copyright (C) 2002, 2004 Billy Biggs vekto.nosp@m.r@du.nosp@m.mbter.nosp@m.m.ne.nosp@m.t.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110, USA. tvtime was going to have a plugin system, but there was never any interest in it outside of tvtime, so instead we include all deinterlacer methods right in the tvtime executable.

References greedymethod.

Referenced by deinterlace_init_plugin().

## ◆ linear_get_method()

const deinterlace_method_t * linear_get_method | ( | void |  | ) |

References linearmethod.

Referenced by deinterlace_init_plugin().

## ◆ linearblend_get_method()

const deinterlace_method_t * linearblend_get_method | ( | void |  | ) |

References linearblendmethod, MM_ACCEL_X86_MMXEXT, and xine_mm_accel().

Referenced by deinterlace_init_plugin().

## ◆ scalerbob_get_method()

const deinterlace_method_t * scalerbob_get_method | ( | void |  | ) |

References scalerbobmethod.

Referenced by deinterlace_init_plugin().

## ◆ vfir_get_method()

const deinterlace_method_t * vfir_get_method | ( | void |  | ) |

References vfirmethod.

Referenced by deinterlace_init_plugin().

## ◆ weave_get_method()

const deinterlace_method_t * weave_get_method | ( | void |  | ) |

References weavemethod.

Referenced by deinterlace_init_plugin().

## ◆ weavebff_get_method()

const deinterlace_method_t * weavebff_get_method | ( | void |  | ) |

## ◆ weavetff_get_method()

const deinterlace_method_t * weavetff_get_method | ( | void |  | ) |